project(
  contour-creator
  LANGUAGES CXX)    
  
find_package(GDAL CONFIG REQUIRED)

add_executable(${PROJECT_NAME}
	src/HeightMap.cpp src/CellMap.cpp src/main.cpp
)
find_package(OpenMP)
if(OpenMP_CXX_FOUND)
    target_link_libraries(${PROJECT_NAME} PUBLIC OpenMP::OpenMP_CXX)
endif()

target_link_libraries(${PROJECT_NAME} GDAL::GDAL)